[![PyPI](https://img.shields.io/pypi/v/scmg.svg)](https://pypi.org/project/scmg)
[![Docs](https://readthedocs.org/projects/SCMG/badge/?version=latest)](https://scmg.readthedocs.io/en/latest/index.html)

# Single Cell Manifold Generator (SCMG)

**SCMG** is a suite of deep learning models designed to interpret, generate, and predict the molecular basis of cell states and their transitions.

## Key Features

- **Global Manifold Construction**  
  Build a well-integrated reference manifold of single-cell transcriptional states that captures cell-state relationships and gene expression patterns.

- **Zero-Shot Dataset Integration**  
  Integrate new scRNA-seq datasets without the need for model retraining.

- **Zero-Shot Cell Projection**  
  Project single-cells onto the global manifold for downstream analysis and comparison.

- **Cell State Trajectory Generation**  
  Generate continuous trajectories to model transitions between cell states.

- **Causal Gene Prediction**  
  Identify candidate causal genes driving transitions between specific cell states.

## Installation and Tutorials

Full documentation is available at: https://scmg.readthedocs.io/
